<?php
require_once(t3lib_extMgm::extPath('ods_osm').'class.tx_odsosm_div.php');

class tx_odsosm_tcemain {
	// ['t3lib/class.t3lib_tcemain.php']['processDatamapClass']
	function processDatamap_preProcessFieldArray(&$incomingFieldArray, $table, $id, $obj){
	}

	// ['t3lib/class.t3lib_tcemain.php']['processDatamapClass']
	function processDatamap_postProcessFieldArray($status, $table, $id, &$fieldArray, $obj) {
		switch($table){
			case 'fe_users':
			case 'tt_address':
				$config=unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['ods_osm']);

				// Search coordinates
				if($config['autocomplete'] && ($fieldArray['zip'] || $fieldArray['city'])){
					$address=$obj->datamap[$table][$id];
					if($config['autocomplete']==2 || floatval($address['tx_odsosm_lat'])==-1){
						tx_odsosm_div::updateAddress($address);
						if($address['lat']){
							$fieldArray['tx_odsosm_lat']=sprintf('%01.6f',$address['lat']);
							$fieldArray['tx_odsosm_lon']=sprintf('%01.6f',$address['lon']);
						}
					}
				}
			break;

			case 'tx_odsosm_track':
				if($fieldArray['file'] && file_exists(PATH_site.'uploads/tx_odsosm/'.$fieldArray['file'])){
					$xml=file_get_contents(PATH_site.'uploads/tx_odsosm/'.$fieldArray['file']);
					$parser=xml_parser_create();
					xml_set_element_handler($parser, "tx_odsosm_tcemain::startTag", "tx_odsosm_tcemain::endTag");
		//			xml_set_character_data_handler($parser, "cdata");
					xml_parse($parser, $xml);
					xml_parser_free($parser);

					global $lat,$lon;
					$fieldArray['min_lat']=sprintf('%01.6f',min($lat));
					$fieldArray['min_lon']=sprintf('%01.6f',min($lon));
					$fieldArray['max_lat']=sprintf('%01.6f',max($lat));
					$fieldArray['max_lon']=sprintf('%01.6f',max($lon));
				}
			break;

			case 'tx_odsosm_marker':
				if($fieldArray['icon'] && file_exists(PATH_site.'uploads/tx_odsosm/'.$fieldArray['icon'])){
					$size=getimagesize(PATH_site.'uploads/tx_odsosm/'.$fieldArray['icon']);
					$fieldArray['size_x']=$size[0];
					$fieldArray['size_y']=$size[1];
					$fieldArray['offset_x']=-round($size[0]/2);
					$fieldArray['offset_y']=-$size[1];
				}
			break;
		}
	}

	function startTag($parser, $name, $attributes){
		global $lat,$lon;
		if(strtolower($name)=='trkpt'){
			$lat[]=floatval($attributes['LAT']);
			$lon[]=floatval($attributes['LON']);
		}
	}

	function endTag($parser, $name){
	}
}
?>